# Az - Storage Persistence

{{#include ../../../banners/hacktricks-training.md}}

## Storage Privesc

Pour plus d'informations sur le stockage, consultez :

{{#ref}}
../az-services/az-storage.md
{{#endref}}

### Astuces courantes

- Conservez les clés d'accès
- Générez SAS
- Les utilisateurs délégués sont limités à 7 jours maximum

### Microsoft.Storage/storageAccounts/blobServices/containers/update && Microsoft.Storage/storageAccounts/blobServices/deletePolicy/write

Ces autorisations permettent à l'utilisateur de modifier les propriétés du service blob pour la fonctionnalité de rétention de suppression de conteneurs, qui active ou configure la période de rétention pour les conteneurs supprimés. Ces autorisations peuvent être utilisées pour maintenir la persistance afin de fournir une fenêtre d'opportunité à l'attaquant pour récupérer ou manipuler des conteneurs supprimés qui auraient dû être définitivement supprimés et accéder à des informations sensibles.
```bash
az storage account blob-service-properties update \
--account-name <STORAGE_ACCOUNT_NAME> \
--enable-container-delete-retention true \
--container-delete-retention-days 100
```
### Microsoft.Storage/storageAccounts/read && Microsoft.Storage/storageAccounts/listKeys/action

Ces autorisations peuvent permettre à l'attaquant de modifier les politiques de conservation, de restaurer des données supprimées et d'accéder à des informations sensibles.
```bash
az storage blob service-properties delete-policy update \
--account-name <STORAGE_ACCOUNT_NAME> \
--enable true \
--days-retained 100
```
{{#include ../../../banners/hacktricks-training.md}}
